diff --git a/game/core/src/main/java/net/minecraft/core/block/Blocks.java b/game/core/src/main/java/net/minecraft/core/block/Blocks.java
index ba2da2dcf..64ba75c1b 100644
--- a/game/core/src/main/java/net/minecraft/core/block/Blocks.java
+++ b/game/core/src/main/java/net/minecraft/core/block/Blocks.java
@@ -1516,6 +1516,76 @@ public final class Blocks {
         .withSound(BlockSounds.SAND).withHardness(0.5f).withOverrideColor(MaterialColor.paintedYellow)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.NETHER_SURFACE_BLOCK, BlockTags.NETHER_MOBS_SPAWN, BlockTags.CAVES_CUT_THROUGH, BlockTags.INFINITE_BURN_SULFURIC);
 
+    public static final @NotNull Block<?> PRESSURE_PLATE_COBBLE_BASALT = register("pressureplate.cobble.basalt", "minecraft:block/pressure_plate_cobble_basalt", 1100, (b) -> new BlockLogicPressurePlate<>(b, Player.class, Materials.BASALT))
+        .withSound(BlockSounds.STONE).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
+    public static final @NotNull Block<?> PRESSURE_PLATE_COBBLE_LIMESTONE = register("pressureplate.cobble.limestone", "minecraft:block/pressure_plate_cobble_limestone", 1101, (b) -> new BlockLogicPressurePlate<>(b, Player.class, Materials.LIMESTONE))
+        .withSound(BlockSounds.STONE).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
+    public static final @NotNull Block<?> PRESSURE_PLATE_COBBLE_GRANITE = register("pressureplate.cobble.granite", "minecraft:block/pressure_plate_cobble_granite", 1102, (b) -> new BlockLogicPressurePlate<>(b, Player.class, Materials.GRANITE))
+        .withSound(BlockSounds.STONE).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
+    public static final @NotNull Block<?> PRESSURE_PLATE_COBBLE_PERMAFROST = register("pressureplate.cobble.permafrost", "minecraft:block/pressure_plate_cobble_permafrost", 1103, (b) -> new BlockLogicPressurePlate<>(b, Player.class, Materials.PERMAFROST))
+        .withSound(BlockSounds.STONE).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
+    public static final @NotNull Block<?> PRESSURE_PLATE_COBBLE_NETHERRACK = register("pressureplate.cobble.netherrack", "minecraft:block/pressure_plate_cobble_netherrack", 1104, (b) -> new BlockLogicPressurePlate<>(b, Player.class, Materials.NETHERRACK))
+        .withSound(BlockSounds.STONE).withHardness(0.1F).withDisabledNeighborNotifyOnMetadataChange()
+        .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
+    public static final @NotNull Block<?> PRESSURE_PLATE_COBBLE_GLOOMSTONE = register("pressureplate.cobble.gloomstone", "minecraft:block/pressure_plate_cobble_gloomstone", 1105, (b) -> new BlockLogicPressurePlate<>(b, Player.class, Materials.GLOOMSTONE))
+        .withSound(BlockSounds.STONE).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
+    // 1106 and 1107 reserved for cobbled sandstone and brimstone
+
+    public static final @NotNull Block<?> PRESSURE_PLATE_BASALT = register("pressureplate.basalt", "minecraft:block/pressure_plate_basalt", 1110, (b) -> new BlockLogicPressurePlate<>(b, Mob.class, Materials.BASALT))
+        .withSound(BlockSounds.STONE).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
+    public static final @NotNull Block<?> PRESSURE_PLATE_LIMESTONE = register("pressureplate.limestone", "minecraft:block/pressure_plate_limestone", 1111, (b) -> new BlockLogicPressurePlate<>(b, Mob.class, Materials.LIMESTONE))
+        .withSound(BlockSounds.STONE).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
+    public static final @NotNull Block<?> PRESSURE_PLATE_GRANITE = register("pressureplate.granite", "minecraft:block/pressure_plate_granite", 1112, (b) -> new BlockLogicPressurePlate<>(b, Mob.class, Materials.GRANITE))
+        .withSound(BlockSounds.STONE).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
+    public static final @NotNull Block<?> PRESSURE_PLATE_PERMAFROST = register("pressureplate.permafrost", "minecraft:block/pressure_plate_permafrost", 1113, (b) -> new BlockLogicPressurePlate<>(b, Mob.class, Materials.PERMAFROST))
+        .withSound(BlockSounds.STONE).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
+    public static final @NotNull Block<?> PRESSURE_PLATE_NETHERRACK = register("pressureplate.netherrack", "minecraft:block/pressure_plate_netherrack", 1114, (b) -> new BlockLogicPressurePlate<>(b, Mob.class, Materials.NETHERRACK))
+        .withSound(BlockSounds.STONE).withHardness(0.1F).withDisabledNeighborNotifyOnMetadataChange()
+        .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
+    public static final @NotNull Block<?> PRESSURE_PLATE_GLOOMSTONE = register("pressureplate.gloomstone", "minecraft:block/pressure_plate_gloomstone", 1115, (b) -> new BlockLogicPressurePlate<>(b, Mob.class, Materials.GLOOMSTONE))
+        .withSound(BlockSounds.STONE).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
+    public static final @NotNull Block<?> PRESSURE_PLATE_SANDSTONE = register("pressureplate.sandstone", "minecraft:block/pressure_plate_sandstone", 1116, (b) -> new BlockLogicPressurePlate<>(b, Mob.class, Materials.STONE))
+        .withSound(BlockSounds.STONE).withHardness(0.4F).withDisabledNeighborNotifyOnMetadataChange()
+        .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
+    public static final @NotNull Block<?> PRESSURE_PLATE_BRIMSTONE = register("pressureplate.brimstone", "minecraft:block/pressure_plate_brimstone", 1117, (b) -> new BlockLogicPressurePlate<>(b, Mob.class, Materials.STONE))
+        .withSound(BlockSounds.STONE).withHardness(0.9F).withDisabledNeighborNotifyOnMetadataChange()
+        .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
+
+    public static final @NotNull Block<?> BUTTON_BASALT = register("button.basalt", "minecraft:block/button_basalt", 1120, BlockLogicButton::new)
+        .withSound(BlockSounds.STONE).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withTags(BlockTags.BROKEN_BY_FLUIDS, BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
+    public static final @NotNull Block<?> BUTTON_LIMESTONE = register("button.limestone", "minecraft:block/button_limestone", 1121, BlockLogicButton::new)
+        .withSound(BlockSounds.STONE).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withTags(BlockTags.BROKEN_BY_FLUIDS, BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
+    public static final @NotNull Block<?> BUTTON_GRANITE = register("button.granite", "minecraft:block/button_granite", 1122, BlockLogicButton::new)
+        .withSound(BlockSounds.STONE).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withTags(BlockTags.BROKEN_BY_FLUIDS, BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
+    public static final @NotNull Block<?> BUTTON_PERMAFROST = register("button.permafrost", "minecraft:block/button_permafrost", 1123, BlockLogicButton::new)
+        .withSound(BlockSounds.STONE).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withTags(BlockTags.BROKEN_BY_FLUIDS, BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
+    public static final @NotNull Block<?> BUTTON_NETHERRACK = register("button.netherrack", "minecraft:block/button_netherrack", 1124, BlockLogicButton::new)
+        .withSound(BlockSounds.STONE).withHardness(0.1F).withDisabledNeighborNotifyOnMetadataChange()
+        .withTags(BlockTags.BROKEN_BY_FLUIDS, BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
+    public static final @NotNull Block<?> BUTTON_GLOOMSTONE = register("button.gloomstone", "minecraft:block/button_gloomstone", 1125, BlockLogicButton::new)
+        .withSound(BlockSounds.STONE).withHardness(0.5F).withDisabledNeighborNotifyOnMetadataChange()
+        .withTags(BlockTags.BROKEN_BY_FLUIDS, BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
+    public static final @NotNull Block<?> BUTTON_SANDSTONE = register("button.sandstone", "minecraft:block/button_sandstone", 1126, BlockLogicButton::new)
+        .withSound(BlockSounds.STONE).withHardness(0.4F).withDisabledNeighborNotifyOnMetadataChange()
+        .withTags(BlockTags.BROKEN_BY_FLUIDS, BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
+    public static final @NotNull Block<?> BUTTON_BRIMSTONE = register("button.brimstone", "minecraft:block/button_brimstone", 1127, BlockLogicButton::new)
+        .withSound(BlockSounds.STONE).withHardness(0.9F).withDisabledNeighborNotifyOnMetadataChange()
+        .withTags(BlockTags.BROKEN_BY_FLUIDS, BlockTags.MINEABLE_BY_PICKAXE, BlockTags.PREVENT_MOB_SPAWNS);
+
     public static <T extends BlockLogic> Block<T> register(String key, String namespaceId, int id, BlockLogicSupplier<T> logicSupplier) {
         Block<T> container = new Block<>(id, key, namespaceId, logicSupplier);
 
diff --git a/game/core/src/main/java/net/minecraft/core/block/piston/BlockLogicPistonBase.java b/game/core/src/main/java/net/minecraft/core/block/piston/BlockLogicPistonBase.java
index 5235ee1cb..596da0a28 100644
--- a/game/core/src/main/java/net/minecraft/core/block/piston/BlockLogicPistonBase.java
+++ b/game/core/src/main/java/net/minecraft/core/block/piston/BlockLogicPistonBase.java
@@ -512,8 +512,6 @@ public class BlockLogicPistonBase extends BlockLogic {
     @Override
     public void onPlacedByWorld(@NotNull World world, @NotNull TilePosc tilePos) {
         if (world.isClientSide) return;
-        final var d = NEW_FORMAT_SIGNATURE.set(world.getBlockData(tilePos), 1);
-        world.setBlockData(tilePos, d);
         this.signalUpdate(world, tilePos);
     }
 
@@ -584,6 +582,12 @@ public class BlockLogicPistonBase extends BlockLogic {
             : super.getPistonPushReaction(world, tilePos);
     }
 
+    @Override
+    public void onMoveComplete(@NotNull World world, @NotNull TilePosc tilePos) {
+        if (world.isClientSide) return;
+        this.signalUpdate(world, tilePos);
+    }
+
     @Override
     public void onRemoved(@NotNull World world, @NotNull TilePosc tilePos, int data) {
         data = fixLegacyBaseData(world, tilePos, this, data);
diff --git a/game/core/src/main/java/net/minecraft/core/data/registry/Registries.java b/game/core/src/main/java/net/minecraft/core/data/registry/Registries.java
index 6d0139818..1ec5676fe 100644
--- a/game/core/src/main/java/net/minecraft/core/data/registry/Registries.java
+++ b/game/core/src/main/java/net/minecraft/core/data/registry/Registries.java
@@ -125,8 +125,30 @@ public class Registries extends Registry<Registry<?>> {
             woodenButtonsList.add(Blocks.BUTTON_PLANKS.getDefaultStack());
             woodenPressurePlatesList.add(Blocks.PRESSURE_PLATE_PLANKS_OAK.getDefaultStack());
             buttonsList.add(Blocks.BUTTON_STONE.getDefaultStack());
+            buttonsList.add(Blocks.BUTTON_BASALT.getDefaultStack());
+            buttonsList.add(Blocks.BUTTON_LIMESTONE.getDefaultStack());
+            buttonsList.add(Blocks.BUTTON_GRANITE.getDefaultStack());
+            buttonsList.add(Blocks.BUTTON_PERMAFROST.getDefaultStack());
+            buttonsList.add(Blocks.BUTTON_NETHERRACK.getDefaultStack());
+            buttonsList.add(Blocks.BUTTON_GLOOMSTONE.getDefaultStack());
+            buttonsList.add(Blocks.BUTTON_SANDSTONE.getDefaultStack());
+            buttonsList.add(Blocks.BUTTON_BRIMSTONE.getDefaultStack());
             pressurePlatesList.add(Blocks.PRESSURE_PLATE_STONE.getDefaultStack());
+            pressurePlatesList.add(Blocks.PRESSURE_PLATE_BASALT.getDefaultStack());
+            pressurePlatesList.add(Blocks.PRESSURE_PLATE_LIMESTONE.getDefaultStack());
+            pressurePlatesList.add(Blocks.PRESSURE_PLATE_GRANITE.getDefaultStack());
+            pressurePlatesList.add(Blocks.PRESSURE_PLATE_PERMAFROST.getDefaultStack());
+            pressurePlatesList.add(Blocks.PRESSURE_PLATE_NETHERRACK.getDefaultStack());
+            pressurePlatesList.add(Blocks.PRESSURE_PLATE_GLOOMSTONE.getDefaultStack());
+            pressurePlatesList.add(Blocks.PRESSURE_PLATE_SANDSTONE.getDefaultStack());
+            pressurePlatesList.add(Blocks.PRESSURE_PLATE_BRIMSTONE.getDefaultStack());
             pressurePlatesList.add(Blocks.PRESSURE_PLATE_COBBLE_STONE.getDefaultStack());
+            pressurePlatesList.add(Blocks.PRESSURE_PLATE_COBBLE_BASALT.getDefaultStack());
+            pressurePlatesList.add(Blocks.PRESSURE_PLATE_COBBLE_LIMESTONE.getDefaultStack());
+            pressurePlatesList.add(Blocks.PRESSURE_PLATE_COBBLE_GRANITE.getDefaultStack());
+            pressurePlatesList.add(Blocks.PRESSURE_PLATE_COBBLE_PERMAFROST.getDefaultStack());
+            pressurePlatesList.add(Blocks.PRESSURE_PLATE_COBBLE_NETHERRACK.getDefaultStack());
+            pressurePlatesList.add(Blocks.PRESSURE_PLATE_COBBLE_GLOOMSTONE.getDefaultStack());
 
             for (final DyeColor color : DyeColor.values()) {
                 plankStackList.add(new ItemStack(Blocks.PLANKS_OAK_PAINTED, 1, color.blockMeta));
diff --git a/game/core/src/main/java/net/minecraft/core/item/ItemPebble.java b/game/core/src/main/java/net/minecraft/core/item/ItemPebble.java
index 1cecb614d..2625ad6ef 100644
--- a/game/core/src/main/java/net/minecraft/core/item/ItemPebble.java
+++ b/game/core/src/main/java/net/minecraft/core/item/ItemPebble.java
@@ -94,7 +94,7 @@ public class ItemPebble extends Item implements IDispensable {
         }
 
         // Regular placement, as all else fails
-        if (world.canBlockIdBePlacedAt(Blocks.OVERLAY_PEBBLES.id(), blockPos, false, side) && !pebble.isSupported(world, blockPos, Side.BOTTOM)) {
+        if (world.canBlockIdBePlacedAt(Blocks.OVERLAY_PEBBLES.id(), blockPos, false, side) && pebble.isSupported(world, blockPos, Side.BOTTOM)) {
             if (world.setBlockTypeNotify(blockPos, Blocks.OVERLAY_PEBBLES)) {
                 Blocks.OVERLAY_PEBBLES.onPlacedByMob(world, blockPos, side, player, xHit, yHit);
                 world.playBlockSoundEffect(player, blockPos.x() + 0.5F, blockPos.y() + 0.5F, blockPos.z() + 0.5F, Blocks.OVERLAY_PEBBLES, EnumBlockSoundEffectType.PLACE);
diff --git a/game/core/src/main/java/net/minecraft/core/item/block/ItemBlock.java b/game/core/src/main/java/net/minecraft/core/item/block/ItemBlock.java
index b49f0c2e6..ce196dd97 100644
--- a/game/core/src/main/java/net/minecraft/core/item/block/ItemBlock.java
+++ b/game/core/src/main/java/net/minecraft/core/item/block/ItemBlock.java
@@ -38,6 +38,12 @@ public class ItemBlock<T extends BlockLogic> extends Item {
         @NotNull ItemStack selfStack, @NotNull World world, @Nullable Player player,
         @NotNull TilePosc blockPos, @NotNull Side side, double xHit, double yHit
     ) {
+        final boolean placeNextToExisting = !world.canPlaceInsideBlock(blockPos) ||
+            (this.block.hasTag(BlockTags.PLACE_OVERWRITES) && this.block == world.getBlockType(blockPos));
+
+        if (placeNextToExisting) blockPos = blockPos.add(side.direction(), new TilePos());
+        if (!world.canBlockIdBePlacedAt(this.block.id(), blockPos, false, side)) return false;
+
         final int meta = getPlacedData(selfStack, world, player, blockPos, side, xHit, yHit);
         return this.placeWithMeta(selfStack, world, player, blockPos, meta, side, xHit, yHit);
     }
@@ -46,16 +52,7 @@ public class ItemBlock<T extends BlockLogic> extends Item {
         @NotNull ItemStack selfStack, @NotNull World world, @Nullable Player player,
         @NotNull TilePosc blockPos, int meta, @NotNull Side side, double xHit, double yHit
     ) {
-        if (selfStack.stackSize <= 0) {
-            return false;
-        }
-        final boolean placeNextToExisting = !world.canPlaceInsideBlock(blockPos) ||
-            (this.block.hasTag(BlockTags.PLACE_OVERWRITES) && this.block == world.getBlockType(blockPos));
-
-        if (placeNextToExisting) blockPos = blockPos.add(side.direction(), new TilePos());
-
-        if (!world.canBlockIdBePlacedAt(this.block.id(), blockPos, false, side)) return false;
-
+        if (selfStack.stackSize <= 0) return false;
         final var pbloc = world.getBlockType(blockPos);
         final int pdata = world.getBlockData(blockPos);
 
diff --git a/game/core/src/main/java/net/minecraft/core/player/inventory/CreativeBlocks.java b/game/core/src/main/java/net/minecraft/core/player/inventory/CreativeBlocks.java
index 3382db5d9..5056f4e21 100644
--- a/game/core/src/main/java/net/minecraft/core/player/inventory/CreativeBlocks.java
+++ b/game/core/src/main/java/net/minecraft/core/player/inventory/CreativeBlocks.java
@@ -431,11 +431,33 @@ public final class CreativeBlocks {
 		add(list, Blocks.LEVER_COBBLE_STONE);
 
 		add(list, Blocks.BUTTON_STONE);
+		add(list, Blocks.BUTTON_BASALT);
+		add(list, Blocks.BUTTON_LIMESTONE);
+		add(list, Blocks.BUTTON_GRANITE);
+		add(list, Blocks.BUTTON_PERMAFROST);
+		add(list, Blocks.BUTTON_NETHERRACK);
+		add(list, Blocks.BUTTON_GLOOMSTONE);
+		add(list, Blocks.BUTTON_SANDSTONE);
+		add(list, Blocks.BUTTON_BRIMSTONE);
 		add(list, Blocks.BUTTON_PLANKS);
 		addPainted(list, Blocks.BUTTON_PLANKS_PAINTED, painted(Blocks.BUTTON_PLANKS_PAINTED));
 
 		add(list, Blocks.PRESSURE_PLATE_STONE);
+		add(list, Blocks.PRESSURE_PLATE_BASALT);
+		add(list, Blocks.PRESSURE_PLATE_LIMESTONE);
+		add(list, Blocks.PRESSURE_PLATE_GRANITE);
+		add(list, Blocks.PRESSURE_PLATE_PERMAFROST);
+		add(list, Blocks.PRESSURE_PLATE_NETHERRACK);
+		add(list, Blocks.PRESSURE_PLATE_GLOOMSTONE);
+		add(list, Blocks.PRESSURE_PLATE_SANDSTONE);
+		add(list, Blocks.PRESSURE_PLATE_BRIMSTONE);
 		add(list, Blocks.PRESSURE_PLATE_COBBLE_STONE);
+		add(list, Blocks.PRESSURE_PLATE_COBBLE_BASALT);
+		add(list, Blocks.PRESSURE_PLATE_COBBLE_LIMESTONE);
+		add(list, Blocks.PRESSURE_PLATE_COBBLE_GRANITE);
+		add(list, Blocks.PRESSURE_PLATE_COBBLE_PERMAFROST);
+		add(list, Blocks.PRESSURE_PLATE_COBBLE_NETHERRACK);
+		add(list, Blocks.PRESSURE_PLATE_COBBLE_GLOOMSTONE);
 		add(list, Blocks.PRESSURE_PLATE_PLANKS_OAK);
 		addPainted(list, Blocks.PRESSURE_PLATE_PLANKS_OAK_PAINTED, painted(Blocks.PRESSURE_PLATE_PLANKS_OAK_PAINTED));
 
diff --git a/game/core/src/main/java/net/minecraft/core/player/inventory/menu/MenuTrommel.java b/game/core/src/main/java/net/minecraft/core/player/inventory/menu/MenuTrommel.java
index 05a3ef5ea..39b2c7c8b 100644
--- a/game/core/src/main/java/net/minecraft/core/player/inventory/menu/MenuTrommel.java
+++ b/game/core/src/main/java/net/minecraft/core/player/inventory/menu/MenuTrommel.java
@@ -113,7 +113,7 @@ public class MenuTrommel extends MenuAbstract {
 		if(action == InventoryAction.MOVE_SIMILAR) {
 			if(slot.index >= INVENTORY_SLOTS_START && slot.index < HOTBAR_SLOTS_START + ContainerInventory.HOTBAR_SIZE) {
 				// Full ContainerInventory
-				return getSlots(HOTBAR_SLOTS_START, ContainerInventory.MAIN_INVENTORY_SIZE, false);
+				return getSlots(INVENTORY_SLOTS_START, ContainerInventory.MAIN_INVENTORY_SIZE, false);
 			}
 		}
 		return null;
